/*
COLORS:

Light green: #7ed56f
Medium green: #55c57a
Dark green: #28b485

*/
/*
GRID
*/
*, *::after, *::before {
  padding: 0;
  margin: 0;
  box-sizing: inherit; }

html {
  font-size: 62.5%; }

body {
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
  line-height: 1.7;
  color: #777;
  padding: 3rem;
  font-size: 1.6rem; }

@keyframes moveInLeft {
  0% {
    opacity: 0;
    transform: translateX(-10rem); }
  80% {
    transform: translateX(1rem); }
  100% {
    opacity: 1;
    transform: translateX(0); } }

@keyframes moveInRight {
  0% {
    opacity: 0;
    transform: translateX(10rem); }
  80% {
    transform: translateX(-1rem); }
  100% {
    opacity: 1;
    transform: translateX(0); } }

@keyframes moveInUp {
  0% {
    opacity: 0;
    transform: translateY(10rem); }
  80% {
    opacity: .5;
    transform: translateY(-1rem); }
  100% {
    opacity: 1;
    transform: translateY(0); } }

@keyframes moveInDown {
  0% {
    opacity: 0;
    transform: translateY(-10rem); }
  80% {
    opacity: .5;
    transform: translateY(1rem); }
  100% {
    opacity: 1;
    transform: translateY(0); } }

.heading-secondary {
  font-size: 3.5rem;
  text-transform: uppercase;
  font-weight: 500;
  background-image: linear-gradient(to right, #7ed56f, #28b485);
  display: inline-block;
  -webkit-background-clip: text;
  color: transparent; }

.heading-tertiary {
  font-size: 1.6rem;
  font-weight: 600;
  text-transform: uppercase; }

.paragraph {
  font-size: 1.6rem; }
  .paragraph:not(:last-child) {
    margin-bottom: 3rem; }

.u-center-text {
  text-align: center; }

.u-margin-8 {
  margin-bottom: 8rem !important; }

.u-margin-7 {
  margin-bottom: 7rem !important; }

.u-margin-6 {
  margin-bottom: 6rem !important; }

.u-margin-5 {
  margin-bottom: 5rem !important; }

.u-margin-4 {
  margin-bottom: 4rem !important; }

.u-margin-3 {
  margin-bottom: 3rem !important; }

.u-margin-2 {
  margin-bottom: 2rem !important; }

.u-margin-1 {
  margin-bottom: 1rem !important; }

.btn, .btn:link, .btn:visited {
  text-transform: uppercase;
  text-decoration: none;
  padding: 1.5rem 4rem;
  display: inline-block;
  transition: all .5s ease-in-out;
  border-radius: 10rem;
  animation: moveInUp 1s;
  position: relative;
  animation-fill-mode: backwards;
  font-size: 1.6rem;
  border: none;
  cursor: pointer; }

.btn:active, .btn:focus {
  transform: translateY(-0.1rem);
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.2); }

.btn:hover {
  transform: translateY(-3px);
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2); }
  .btn:hover::after {
    transform: scaleX(1.6) scaleY(1.2);
    opacity: 0; }

.btn-white {
  background-color: #fff;
  color: #777; }

.btn-green {
  background-color: #55c57a;
  color: #fff; }

.btn .btn-white::after {
  background-color: #fff; }

.composition {
  position: relative; }
  .composition__photo {
    width: 55%;
    box-shadow: 0 1.5rem 4rem rgba(119, 119, 119, 0.4);
    border-radius: .2rem;
    position: absolute;
    transition: all .2s ease-in-out;
    z-index: 10;
    outline-offset: 2rem; }
    .composition__photo--p1 {
      top: -2rem;
      left: 0; }
    .composition__photo--p2 {
      right: 0;
      top: 2rem; }
    .composition__photo--p3 {
      left: 20%;
      top: 10rem; }
    .composition__photo:hover {
      outline: 1.5rem solid #55c57a;
      z-index: 20;
      transform: scale(1.05); }
  .composition:hover .composition__photo:not(:hover) {
    transform: scale(0.95); }

.feature-box {
  background: rgba(255, 255, 255, 0.8);
  padding: 2.5rem;
  border-radius: .3rem;
  box-shadow: 0 2.5rem 4rem rgba(119, 119, 119, 0.8);
  text-align: center;
  font-size: 1.2rem; }
  .feature-box:hover {
    transform: translateY(-1.43rem) scale(1.1);
    transition: transform .3s; }
  .feature-box__icon {
    font-size: 6rem;
    background-image: linear-gradient(to right, #7ed56f, #28b485);
    -webkit-background-clip: text;
    color: transparent;
    margin-bottom: .5rem; }

.card {
  perspective: 150rem;
  -moz-perspective: 150rem;
  position: relative;
  height: 55rem; }
  .card__side {
    height: 55rem;
    transition: all .8s;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    border-radius: .3rem;
    box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, 0.15);
    overflow: hidden; }
    .card__side--back {
      transform: rotateY(180deg); }
      .card__side--back-1 {
        background-image: linear-gradient(to right bottom, #ffb900, #ff7730); }
      .card__side--back-2 {
        background-image: linear-gradient(to right bottom, #7ed56f, #28b485); }
      .card__side--back-3 {
        background-image: linear-gradient(to right bottom, #2998ff, #5643fa); }
  .card:hover .card__side--front {
    transform: rotateY(-180deg); }
  .card:hover .card__side--back {
    transform: rotateY(0); }
  .card__picture {
    background-size: cover;
    height: 23rem;
    background-blend-mode: screen;
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 80%, 0% 100%);
    clip-path: polygon(0 0, 100% 0, 100% 85%, 0% 100%); }
    .card__picture--1 {
      background-image: linear-gradient(to right bottom, #ffb900, #ff7730), url(../../img/nat-5.jpg); }
    .card__picture--2 {
      background-image: linear-gradient(to right bottom, #7ed56f, #28b485), url(../../img/nat-6.jpg); }
    .card__picture--3 {
      background-image: linear-gradient(to right bottom, #2998ff, #5643fa), url(../../img/nat-7.jpg); }
  .card__header {
    font-size: 2.8rem;
    font-weight: 300;
    text-transform: uppercase;
    color: #fff;
    position: absolute;
    top: 12rem;
    right: 2rem;
    width: 70%;
    text-align: right; }
  .card__header-span {
    padding: 1rem 1.5rem;
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone; }
    .card__header-span--1 {
      background-image: linear-gradient(to right bottom, rgba(255, 185, 0, 0.85), rgba(255, 119, 48, 0.85)); }
    .card__header-span--2 {
      background-image: linear-gradient(to right bottom, rgba(126, 213, 111, 0.85), rgba(40, 180, 133, 0.85)); }
    .card__header-span--3 {
      background-image: linear-gradient(to right bottom, rgba(41, 152, 255, 0.85), rgba(86, 67, 250, 0.85)); }
  .card__details {
    padding: 3rem; }
    .card__details ul {
      list-style: none;
      width: 80%;
      text-align: center;
      font-size: 1.5rem;
      margin: auto; }
      .card__details ul li {
        padding: 1rem; }
        .card__details ul li:not(:last-child) {
          border-bottom: 0.1rem solid rgba(0, 0, 0, 0.1); }
  .card__cta {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); }
  .card__price-box {
    text-align: center;
    margin-bottom: 8rem;
    color: #fff; }
  .card__price-only {
    font-size: 1.4rem;
    text-transform: uppercase; }
  .card__price-value {
    font-size: 6rem;
    font-weight: 100; }

.story {
  width: 75%;
  margin: 0 auto;
  box-shadow: 0 3rem 6rem rgba(0, 0, 0, 0.6);
  border-radius: .3rem;
  padding: 6rem;
  padding-left: 9rem;
  transform: skewX(-12deg); }
  .story__shape {
    width: 15rem;
    height: 15rem;
    float: left;
    -webkit-shape-outside: circle(50% at 50% 50%);
    shape-outside: circle(50% at 50% 50%);
    clip-path: circle(50% at 50% 50%);
    transform: translateX(-3rem) skewX(12deg);
    position: relative; }
  .story__img {
    height: 100%;
    transform: translateX(-4rem) scale(1.4);
    backface-visibility: hidden;
    transition: all .5s; }
  .story__text {
    transform: skewX(12deg); }
  .story__caption {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, 20%);
    color: #fff;
    text-transform: uppercase;
    font-size: 1.7rem;
    text-align: center;
    opacity: 0;
    transition: all .5s;
    backface-visibility: hidden; }
  .story:hover .story__caption {
    opacity: 1;
    transform: translate(-50%, -50%); }
  .story:hover .story__img {
    transform: translateX(-4rem) scale(1);
    filter: blur(0.3rem); }

.bg-video {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: -1;
  opacity: .15;
  overflow: hidden; }
  .bg-video__content {
    height: 100%;
    width: 100%;
    object-fit: cover; }

.form__group:not(:last-child) {
  margin-bottom: 2rem; }

.form__input {
  font-size: 1.6rem;
  padding: 1.5rem 2rem;
  border-radius: 0.3rem;
  background-color: rgba(255, 255, 255, 0.5);
  border: none;
  font-family: inherit;
  border-bottom: .3rem solid transparent;
  display: block;
  color: inherit;
  transition: all .3s; }
  .form__input:focus {
    outline: none;
    box-shadow: 0 1.5rem 2rem rgba(0, 0, 0, 0.1);
    border-bottom: 0.3rem solid #55c57a; }
    .form__input:focus:invalid {
      border-bottom: 0.3rem solid #ff7730; }
  .form__input::-webkit-input-placeholder {
    color: #333; }
  .form__input-label {
    font-size: 1.2rem;
    font-weight: 500;
    margin-left: 2rem;
    display: block;
    transition: all .3s; }

.form__input:placeholder-shown + .form__input-label {
  opacity: 0;
  visibility: hidden;
  transform: translateY(-4rem); }

.form__radio-group {
  width: 49%;
  display: inline-block; }

.form__radio-label {
  font-size: 1.6rem;
  cursor: pointer;
  position: relative;
  padding-left: 4.5rem; }

.form__radio-input {
  display: none; }

.form__radio-button {
  height: 2rem;
  width: 2rem;
  border: 0.5rem solid #55c57a;
  border-radius: 50%;
  display: inline-block;
  position: absolute;
  left: 0;
  top: -.4rem; }
  .form__radio-button::after {
    content: "";
    height: 1.3rem;
    width: 1.3rem;
    display: block;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #55c57a;
    opacity: 0;
    transition: opacity .5s; }

.form__radio-input:checked ~ .form__radio-label .form__radio-button::after {
  opacity: 1; }

.footer {
  background-color: #333;
  color: #fff;
  padding: 10rem;
  font-size: 1.4rem; }
  .footer__logo-box {
    text-align: center; }
  .footer__logo {
    width: 15rem;
    margin: 0 auto; }
  .footer__navigation {
    margin-top: 10rem; }
  .footer__list {
    list-style: none; }
  .footer__item {
    display: inline-block; }
    .footer__item:not(:last-child) {
      margin-right: 1rem; }
  .footer__link {
    text-decoration: none; }
    .footer__link:link, .footer__link:visited {
      color: #55c57a; }
  .footer__copyright {
    margin-top: 10rem;
    text-align: right; }

.navigation__checkbox {
  display: none; }

.navigation__button {
  background-color: #fff;
  height: 7rem;
  width: 7rem;
  position: fixed;
  top: 6rem;
  right: 6rem;
  border-radius: 50%;
  z-index: 2000;
  box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, 0.1);
  text-align: center;
  cursor: pointer; }

.navigation__background {
  height: 6rem;
  width: 6rem;
  border-radius: 50%;
  position: fixed;
  top: 6.5rem;
  right: 6.5rem;
  background-image: radial-gradient(#7ed56f, #28b485);
  z-index: 1000;
  transition: transform 0.8s cubic-bezier(0.65, 0, 0.35, 1); }

.navigation__nav {
  height: 100vh;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 1500;
  opacity: 0;
  width: 0;
  transition: all 0.8s cubic-bezier(0.68, -0.6, 0.32, 1.6); }

.navigation__list {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  list-style: none;
  text-align: center;
  width: 100%; }

.navigation__item {
  margin: 1rem; }

.navigation__link:link, .navigation__link:visited {
  font-size: 2rem;
  text-transform: uppercase;
  text-decoration: none;
  color: #fff;
  font-weight: 300;
  background-image: linear-gradient(120deg, transparent 0%, transparent 50%, #fff 50%);
  padding: 1rem 2rem;
  background-size: 220%;
  transition: all .3s;
  display: inline-block; }
  .navigation__link:link span, .navigation__link:visited span {
    display: inline-block;
    margin-right: 1rem; }

.navigation__link:hover, .navigation__link:active {
  background-position: 100%;
  color: #55c57a;
  transform: translateX(1rem); }

.navigation__checkbox:checked ~ .navigation__background {
  transform: scale(80); }

.navigation__checkbox:checked ~ .navigation__nav {
  opacity: 1;
  width: 100%; }

.navigation__icon {
  position: relative;
  margin-top: 3.5rem; }
  .navigation__icon, .navigation__icon::before, .navigation__icon::after {
    width: 3rem;
    height: .2rem;
    background-color: #333;
    display: inline-block; }
  .navigation__icon::before, .navigation__icon::after {
    content: "";
    position: absolute;
    left: 0;
    transition: all .2s; }
  .navigation__icon::before {
    top: -.8rem; }
  .navigation__icon::after {
    top: .8rem; }

.navigation__button:hover .navigation__icon::before {
  top: -1rem; }

.navigation__button:hover .navigation__icon::after {
  top: 1rem; }

.navigation__checkbox:checked + .navigation__button .navigation__icon {
  background-color: transparent; }

.navigation__checkbox:checked + .navigation__button .navigation__icon::before {
  transform: rotate(-135deg);
  top: 0; }

.navigation__checkbox:checked + .navigation__button .navigation__icon::after {
  transform: rotate(135deg);
  top: 0; }

.popup {
  position: fixed;
  height: 100vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  left: 0;
  top: 0;
  z-index: 3000;
  opacity: 0;
  visibility: hidden;
  transition: all .5s; }
  .popup__content {
    width: 75%;
    background-color: #fff;
    box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, 0.2);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 0.3rem;
    display: table;
    overflow: hidden;
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.2);
    transition: all .5s; }
  .popup__left {
    width: 33.33%;
    display: table-cell; }
  .popup__right {
    width: 66.66%;
    display: table-cell;
    vertical-align: middle;
    padding: 3rem 5rem; }
  .popup__img {
    width: 100%;
    display: block; }
  .popup__text {
    font-size: 1.4rem;
    margin-bottom: 4rem;
    column-count: 2;
    column-gap: 4rem;
    column-rule: 0.1rem solid #777;
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    hyphens: auto; }
  .popup__close:link, .popup__close:visited {
    color: inherit;
    position: absolute;
    top: 2.5rem;
    right: 2.5rem;
    text-decoration: none;
    display: inline-block;
    transition: all .2s;
    font-size: 3rem;
    line-height: 1; }
  .popup__close:hover {
    color: #55c57a; }
  .popup:target {
    opacity: 1;
    visibility: visible; }
  .popup:target .popup__content {
    transform: translate(-50%, -50%) scale(1);
    opacity: 1; }

.row {
  max-width: 114rem;
  margin: 0 auto; }
  .row::after {
    content: '';
    display: table;
    clear: both; }
  .row:not(:last-child) {
    margin-bottom: 8rem; }
  .row [class^='col-'] {
    float: left; }
    .row [class^='col-']:not(:last-child) {
      margin-right: 6rem; }
  .row .col-1-of-2 {
    width: calc((114rem - 6rem) / 2); }
  .row .col-1-of-3 {
    width: calc((114rem - 2 * 6rem) / 3); }
  .row .col-1-of-4 {
    width: calc((114rem - 3 * 6rem) / 4); }
  .row .col-2-of-4 {
    width: calc(((114rem - 6rem) / 4) * 2); }
  .row .col-2-of-3 {
    width: calc((2 * (114rem - (2 * 6rem)) / 3) + 6rem); }
  .row .col-3-of-4 {
    width: calc(3 * ((114rem - 3 * 6rem) / 4) + 2 * 6rem); }

.header {
  height: 95vh;
  background-image: linear-gradient(to right bottom, rgba(126, 213, 111, 0.8), rgba(40, 180, 133, 0.8)), url("../../img/hero.jpg");
  background-size: cover;
  background-position: top;
  -webkit-clip-path: polygon(0% 0%, 100% 0%, 100% 75vh, 0 100%);
  clip-path: polygon(0 0, 100% 0, 100% 85%, 0 100%);
  position: relative; }
  .header__logo {
    height: 3.5rem; }
    .header__logo-box {
      position: absolute;
      top: 4rem;
      left: 4rem; }
  .header__text-box {
    position: absolute;
    left: 50%;
    top: 40%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 100%; }
    .header__text-box .heading-primary {
      color: #fff;
      text-transform: uppercase;
      letter-spacing: 1.5rem;
      font-weight: 400;
      font-size: 2.6rem;
      transition: all ease-in-out .3s;
      backface-visibility: hidden;
      margin-bottom: 6rem; }
      .header__text-box .heading-primary-main {
        display: block;
        font-weight: 500;
        font-size: 6rem;
        animation-name: moveInDown;
        animation-duration: 1s; }
      .header__text-box .heading-primary-sub {
        letter-spacing: 1.74rem;
        animation: moveInUp 1s;
        display: block; }

.section-about {
  background-color: #eee;
  padding: 25rem 0;
  margin-top: -20vh; }
  .section-about.heading-secondary {
    text-align: center; }

.section-features {
  padding: 20rem 0;
  background-image: linear-gradient(to right bottom, rgba(126, 213, 111, 0.8), rgba(40, 180, 133, 0.8)), url(../../img/nat-4.jpg);
  transform: skewY(-7deg);
  margin-top: -12rem; }
  .section-features > *, .section-features > *::after, .section-features > *::before {
    transform: skewY(7deg); }

.section-tours {
  background-color: #fff;
  padding: 30rem 0;
  margin-top: -12rem; }

.section-story {
  position: relative;
  padding: 10rem 0; }

.section-booking {
  padding: 15rem 0;
  background-image: linear-gradient(to right bottom, #7ed56f, #28b485); }

.book {
  background-image: linear-gradient(90deg, rgba(255, 255, 255, 0.9) 0%, rgba(255, 255, 255, 0.9) 50%, transparent 50%), url(../../img/nat-10.jpg);
  background-size: 100%;
  border-radius: 0.3rem;
  box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, 0.2);
  height: 50rem; }
  .book__form {
    width: 50%;
    padding: 6rem; }
